Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001353I6 LibraryGeneralpublic2014-06-30 03:242015-05-10 17:47
ReporterDavidG 
Assigned ToDavidG 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6/12 
Target Version6/12Fixed in Version6/12 
Summary0001353: Problems with DROP
DescriptionSomewhere along the line of developing 6/12, the handling of the DROP verb got muddled. Normally if you aren't holding an object and attempt to DROP it, you get sensibly told off. For instance, if an envelope is in the mailbox and you attempt "DROP ENVELOPE", you should be told "Perhaps you should take the envelope out of the mailbox first." The current (and wrong) behavior is to reply with "What do you want to drop the envelope in?".
TagsNo tags attached.
Attached Files

- Relationships
related to 0000977closedDavidG 'multiheld' can match unholdable objects 

-  Notes
(0002923)
DavidG (developer)
2014-07-12 00:49

This happens only if no_implicit_actions is true.
(0002924)
DavidG (developer)
2014-07-12 01:01
edited on: 2014-07-19 02:32

Problem starts here:
https://github.com/DavidGriffith/inform6lib/commit/5675c836b074633d697c52e24ac98bba1d9b86e0 [^]
with the fix for the multiheld bug (http://inform7.com/mantis/view.php?id=977 [^])

(0002949)
DavidG (developer)
2014-07-19 02:40

If no_implicit_actions is false, DROP is still broken, but with a different incorrect message.
(0002959)
DavidG (developer)
2014-07-23 14:41

https://github.com/DavidGriffith/inform6lib/commit/e733bd54997dc55bc42d77fdfd233306a32bc822 [^]
(0003602)
jmcgrew (administrator)
2015-05-10 17:47

Closing all resolved issues from 2014 and earlier.

- Issue History
Date Modified Username Field Change
2014-06-30 03:24 DavidG New Issue
2014-06-30 03:24 DavidG Status new => assigned
2014-06-30 03:24 DavidG Assigned To => DavidG
2014-06-30 03:26 DavidG Note Added: 0002909
2014-07-12 00:49 DavidG Note Added: 0002923
2014-07-12 01:01 DavidG Note Added: 0002924
2014-07-12 01:01 DavidG Note Deleted: 0002909
2014-07-12 03:10 DavidG Relationship added related to 0000977
2014-07-19 02:32 DavidG Note Edited: 0002924 View Revisions
2014-07-19 02:40 DavidG Note Added: 0002949
2014-07-23 14:41 DavidG Note Added: 0002959
2014-07-23 14:41 DavidG Status assigned => resolved
2014-07-23 14:41 DavidG Fixed in Version => 6/12
2014-07-23 14:41 DavidG Resolution open => fixed
2015-05-10 17:47 jmcgrew Note Added: 0003602
2015-05-10 17:47 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker